Loading...
Searching...
No Matches
single precision
Sparse LA » Sparse eigenvalues » Symmetric/Hermitian eigenvalues

## Functions

magma_int_t | magma_slobpcg (magma_s_matrix A, magma_s_solver_par *solver_par, magma_s_preconditioner *precond_par, magma_queue_t queue)
| Solves an eigenvalue problem.

## Detailed Description

## Function Documentation

## magma_slobpcg()

magma_int_t magma_slobpcg | ( | magma_s_matrix | A,
|  | magma_s_solver_par * | solver_par,
|  | magma_s_preconditioner * | precond_par,
|  | magma_queue_t | queue )

Solves an eigenvalue problem.

A * X = evalues X

where A is a real sparse matrix stored in the GPU memory. X and B are real vectors stored on the GPU memory.

This is a GPU implementation of the LOBPCG method.

This method allocates all required memory space inside the routine. Also, the memory is not allocated as one big chunk, but seperatly for the different blocks. This allows to use texture also for large matrices.

Parameters

  [in] | A | magma_s_matrix input matrix A
  [in,out] | solver_par | magma_s_solver_par* solver parameters
  [in,out] | precond_par | magma_s_precond_par* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.